Loading...
Searching...
No Matches
libcamera::Mutex Class Referencefinal

std::mutex wrapper with clang thread safety annotation More...

## Detailed Description

std::mutex wrapper with clang thread safety annotation

The Mutex class wraps a std::mutex instance to add clang thread safety annotation support. The class exposes the same interface as std::mutex and can be used as a transparent replacement. It integrates with the MutexLocker and ConditionVariable classes.

See https://en.cppreference.com/w/cpp/thread/mutex for the complete API documentation.

The documentation for this class was generated from the following file:

- include/libcamera/base/mutex.h